# TdApi.SetAutoDownloadSettings (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetAutoDownloadSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetAutoDownloadSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetAutoDownloadSettings

Enclosing class:
  TdApi

public static final class TdApi.SetAutoDownloadSettings extends TdApi.Function<TdApi.Ok>
Sets auto-download settings.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.AutoDownloadSettings`
`settings`
New user auto-download settings.
`TdApi.NetworkType`
`type`
Type of the network for which the new settings are relevant.

## Constructor Summary

Constructors
Constructor
Description
`SetAutoDownloadSettings()`
Sets auto-download settings.
`SetAutoDownloadSettings(TdApi.AutoDownloadSettings settings, TdApi.NetworkType type)`
Sets auto-download settings.
`SetAutoDownloadSettings(DataInput input)`
Sets auto-download settings.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### settings

public TdApi.AutoDownloadSettings settings
New user auto-download settings.

### type

public TdApi.NetworkType type
Type of the network for which the new settings are relevant.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetAutoDownloadSettings

public SetAutoDownloadSettings()
Sets auto-download settings.

Returns `Ok`

### SetAutoDownloadSettings

public SetAutoDownloadSettings(TdApi.AutoDownloadSettings settings, TdApi.NetworkType type)
Sets auto-download settings.

Returns `Ok`

Parameters:
  `settings` - AutoDownloadSettings New user auto-download settings.
  `type` - NetworkType Type of the network for which the new settings are relevant.

### SetAutoDownloadSettings

public SetAutoDownloadSettings(DataInput input) throws IOException
Sets auto-download settings.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`